Debian Bug report logs - #626020
zookeeper: incorrect dependency information

version graph

Package: src:zookeeper; Maintainer for src:zookeeper is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sat, 7 May 2011 22:57:01 UTC

Severity: serious

Found in version zookeeper/3.3.1+dfsg1-2

Fixed in version zookeeper/3.3.3+dfsg1-1

Done: James Page <james.page@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#626020; Package src:zookeeper. (Sat, 07 May 2011 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 07 May 2011 22:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zookeeper: FTBFS on mips: The method close() of type FileSnap must override a superclass method
Date: Sun, 8 May 2011 00:52:33 +0200
Source: zookeeper
Version: 3.3.1+dfsg1-2
Severity: serious
Justification: fails to build from source

zookeeper FTBFS on mips:

    [javac] ----------
    [javac] 12. ERROR in /build/buildd-zookeeper_3.3.1+dfsg1-2+b1-mips-QpsLaC/zookeeper-3.3.1+dfsg1/src/java/mai
    [javac] n/org/apache/zookeeper/server/persistence/FileSnap.java (at line 245)
    [javac] 	public synchronized void close() throws IOException {
    [javac] 	                         ^^^^^^^^^^^^^^^^^^^^^^^^^^
    [javac] The method close() of type FileSnap must override a superclass method
    [javac] ----------

Full build log is here:
https://buildd.debian.org/status/fetch.php?pkg=zookeeper&arch=mips&ver=3.3.1%2Bdfsg1-2%2Bb1&stamp=1304691765

-- 
Jakub Wilk




Added indication that bug 626020 blocks 622279 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 22:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#626020; Package src:zookeeper. (Sun, 12 Jun 2011 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ted Dunning <ted.dunning@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 12 Jun 2011 12:00:04 GMT) Full text and rfc822 format available.

Message #12 received at 626020@bugs.debian.org (full text, mbox):

From: Ted Dunning <ted.dunning@gmail.com>
To: 626020@bugs.debian.org
Subject: compile error on MIPS architecture
Date: Sun, 12 Jun 2011 11:57:20 +0000
It appears that this error is due to java 1.5 being used to compile
Zookeeper on MIPS.  Java >= 1.6 is an explicit requirement of
Zookeeper but the message being emitted indicates that the compiler
being used is imposing 1.5 syntax.

See these links for more information:


 http://stackoverflow.com/questions/1678122/must-override-a-superclass-method-errors-after-importing-a-project-into-eclipse
 http://stackoverflow.com/questions/2335655/why-is-javac-failing-on-override-annotation


Based on this, I think that this is a build system misconfiguration
rather than a package bug.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#626020; Package src:zookeeper. (Sun, 12 Jun 2011 12:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ted Dunning <ted.dunning@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 12 Jun 2011 12:12:10 GMT) Full text and rfc822 format available.

Message #17 received at 626020@bugs.debian.org (full text, mbox):

From: Ted Dunning <ted.dunning@gmail.com>
To: 626020@bugs.debian.org
Subject: Problem with MIPS in general?
Date: Sun, 12 Jun 2011 12:09:40 +0000
I see this thread:

http://us.generation-nt.com/answer/openjdk-default-jdk-squeeze-issues-mips-open-security-issues-lenny-help-199722741.html

Does this imply the MIPS doesn't even have jdk-6?  If so, why are we
worrying about whether a package that requires jdk-6 compiles or not?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#626020; Package src:zookeeper. (Sun, 12 Jun 2011 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 12 Jun 2011 14:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 626020@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Ted Dunning <ted.dunning@gmail.com>
Cc: Neil Williams <codehelp@debian.org>, debian-devel@lists.debian.org, 626020@bugs.debian.org
Subject: Re: more about Zookeeper
Date: Sun, 12 Jun 2011 11:27:26 -0300
retitle 626020 zookeeper: incorrect dependency information
thanks

On Sun, 12 Jun 2011, Ted Dunning wrote:
> I just looked at this bug and it looks like a configuration error in
> the environment rather than a bug in Zookeeper per se.
> 
> In particular, Java >= 1.6 is an explicit requirement of the Zookeeper
> package while the error being emitted is highly characteristic of an
> attempt to compile 1.6 compatible code on a java 1.5 compiler.

The Debian package declares:

Depends: libzookeeper-java (= 3.3.1+dfsg1-2), default-jre-headless | java6-runtime-headless, adduser

which looks like it would allow the package to be installed on java-5
environments at first glance.  That would be a grave bug by itself.

It also declares:

Build-Depends: debhelper (>= 7.4.11), javahelper (>= 0.28), default-jdk (>=
1.6), ant (>= 1.6.0), liblog4j1.2-java (>> 1.2.15-8), junit4,
libxerces2-java, libjline-java, libnetty-java, javacc, default-jdk-doc,
python-all-dev, python-support, libboost-dev, libxml2-dev, liblog4cxx10-dev,
autoconf, help2man, libtool, automake, libcppunit-dev

Which is ALSO broken, due to the use of epochs in the default-jdk
versioning.  It would have to declare a build-dependency on "default-jdk (>=
1:1.6)".

As it stands, it allows the package to be built under java-5, which appears
to be the reason for the FBTFS report from MIPS.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Changed Bug title to 'zookeeper: incorrect dependency information' from 'zookeeper: FTBFS on mips: The method close() of type FileSnap must override a superclass method' Request was from Henrique de Moraes Holschuh <hmh@debian.org> to control@bugs.debian.org. (Sun, 12 Jun 2011 14:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#626020; Package src:zookeeper. (Sun, 12 Jun 2011 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ted Dunning <ted.dunning@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 12 Jun 2011 21:51:03 GMT) Full text and rfc822 format available.

Message #29 received at 626020@bugs.debian.org (full text, mbox):

From: Ted Dunning <ted.dunning@gmail.com>
To: Henrique de Moraes Holschuh <hmh@debian.org>, 626020@bugs.debian.org
Cc: Neil Williams <codehelp@debian.org>, debian-devel@lists.debian.org
Subject: Re: Bug#626020: more about Zookeeper
Date: Sun, 12 Jun 2011 21:47:59 +0000
Yes.

This looks more like bad packaging than either bad environment or code.

On Sun, Jun 12, 2011 at 2:27 PM, Henrique de Moraes Holschuh
<hmh@debian.org> wrote:
> retitle 626020 zookeeper: incorrect dependency information
> thanks
>
> On Sun, 12 Jun 2011, Ted Dunning wrote:
>> I just looked at this bug and it looks like a configuration error in
>> the environment rather than a bug in Zookeeper per se.
>>
>> In particular, Java >= 1.6 is an explicit requirement of the Zookeeper
>> package while the error being emitted is highly characteristic of an
>> attempt to compile 1.6 compatible code on a java 1.5 compiler.
>
> The Debian package declares:
>
> Depends: libzookeeper-java (= 3.3.1+dfsg1-2), default-jre-headless | java6-runtime-headless, adduser
>
> which looks like it would allow the package to be installed on java-5
> environments at first glance.  That would be a grave bug by itself.
>
> It also declares:
>
> Build-Depends: debhelper (>= 7.4.11), javahelper (>= 0.28), default-jdk (>=
> 1.6), ant (>= 1.6.0), liblog4j1.2-java (>> 1.2.15-8), junit4,
> libxerces2-java, libjline-java, libnetty-java, javacc, default-jdk-doc,
> python-all-dev, python-support, libboost-dev, libxml2-dev, liblog4cxx10-dev,
> autoconf, help2man, libtool, automake, libcppunit-dev
>
> Which is ALSO broken, due to the use of epochs in the default-jdk
> versioning.  It would have to declare a build-dependency on "default-jdk (>=
> 1:1.6)".
>
> As it stands, it allows the package to be built under java-5, which appears
> to be the reason for the FBTFS report from MIPS.
>
> --
>  "One disk to rule them all, One disk to find them. One disk to bring
>  them all and in the darkness grind them. In the Land of Redmond
>  where the shadows lie." -- The Silicon Valley Tarot
>  Henrique Holschuh
>
>
>
> --
> To unsubscribe, send mail to 626020-unsubscribe@bugs.debian.org.
>




Removed indication that bug 626020 blocks 622279 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 23 Jun 2011 22:45:11 GMT) Full text and rfc822 format available.

Reply sent to James Page <james.page@ubuntu.com>:
You have taken responsibility. (Tue, 12 Jul 2011 21:39:16 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Tue, 12 Jul 2011 21:39:17 GMT) Full text and rfc822 format available.

Message #36 received at 626020-close@bugs.debian.org (full text, mbox):

From: James Page <james.page@ubuntu.com>
To: 626020-close@bugs.debian.org
Subject: Bug#626020: fixed in zookeeper 3.3.3+dfsg1-1
Date: Tue, 12 Jul 2011 21:34:31 +0000
Source: zookeeper
Source-Version: 3.3.3+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
zookeeper, which is due to be installed in the Debian FTP archive:

libzookeeper-dev_3.3.3+dfsg1-1_amd64.deb
  to main/z/zookeeper/libzookeeper-dev_3.3.3+dfsg1-1_amd64.deb
libzookeeper-java-doc_3.3.3+dfsg1-1_all.deb
  to main/z/zookeeper/libzookeeper-java-doc_3.3.3+dfsg1-1_all.deb
libzookeeper-java_3.3.3+dfsg1-1_all.deb
  to main/z/zookeeper/libzookeeper-java_3.3.3+dfsg1-1_all.deb
libzookeeper2_3.3.3+dfsg1-1_amd64.deb
  to main/z/zookeeper/libzookeeper2_3.3.3+dfsg1-1_amd64.deb
python-zookeeper_3.3.3+dfsg1-1_amd64.deb
  to main/z/zookeeper/python-zookeeper_3.3.3+dfsg1-1_amd64.deb
zookeeper-bin_3.3.3+dfsg1-1_amd64.deb
  to main/z/zookeeper/zookeeper-bin_3.3.3+dfsg1-1_amd64.deb
zookeeper_3.3.3+dfsg1-1.debian.tar.gz
  to main/z/zookeeper/zookeeper_3.3.3+dfsg1-1.debian.tar.gz
zookeeper_3.3.3+dfsg1-1.dsc
  to main/z/zookeeper/zookeeper_3.3.3+dfsg1-1.dsc
zookeeper_3.3.3+dfsg1-1_all.deb
  to main/z/zookeeper/zookeeper_3.3.3+dfsg1-1_all.deb
zookeeper_3.3.3+dfsg1.orig.tar.gz
  to main/z/zookeeper/zookeeper_3.3.3+dfsg1.orig.tar.gz
zookeeperd_3.3.3+dfsg1-1_all.deb
  to main/z/zookeeper/zookeeperd_3.3.3+dfsg1-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626020@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Page <james.page@ubuntu.com> (supplier of updated zookeeper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 12 Jul 2011 16:56:06 +0100
Source: zookeeper
Binary: libzookeeper-java zookeeper zookeeperd libzookeeper-java-doc libzookeeper2 libzookeeper-dev zookeeper-bin python-zookeeper
Architecture: source all amd64
Version: 3.3.3+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: James Page <james.page@ubuntu.com>
Description: 
 libzookeeper-dev - Development files for zookeeper C bindings
 libzookeeper-java - Core Java libraries for zookeeper
 libzookeeper-java-doc - API Documentation for zookeeper
 libzookeeper2 - C bindings for zookeeper
 python-zookeeper - Python bindings for zookeeper
 zookeeper  - High-performance coordination service for distributed application
 zookeeper-bin - Command line utilities for zookeeper
 zookeeperd - Init control scripts for zookeeper
Closes: 594970 601383 625441 626020
Changes: 
 zookeeper (3.3.3+dfsg1-1) unstable; urgency=low
 .
   * New upstream release.
   * Resolve FTBFS on mips and hppa - platforms should not be supported
     as zookeeper needs default-jdk >= 1:1.6 (Closes: #626020,#594970).
   * Added myself to Uploaders.
   * Removed Thomas Koch from Uploaders - thanks for all of your work.
   * Bumped Standards-Version: 3.9.2; no changes.
   * Transition to dh_python2.
   * Fixed FTBFS due to -Werror actually working and causing build
     failures in gcc >= 4.6.1 (Closes: #625441).
   * debian/bin/zkPurgeTxnLog.sh: Switch DATADIR and DATALOGDIR to match
     parameter ordering in Zookeeper code (Closes: #601383) - thanks to
     Paul Paradise for identifying this issue and the fix.
   * debian/copyright: upgrade to DEP-5 format.
Checksums-Sha1: 
 d7b940e1cd23ff668c45504e00cbe03b418a53cc 2343 zookeeper_3.3.3+dfsg1-1.dsc
 71acff27f739f5c9504837df5d43b7287433fb1e 1859174 zookeeper_3.3.3+dfsg1.orig.tar.gz
 cc02f49476483262aceb49edad224d76161dca19 18432 zookeeper_3.3.3+dfsg1-1.debian.tar.gz
 89fd8b2111fc0b6a993e89fe3e0c88a2d17348af 1134512 libzookeeper-java_3.3.3+dfsg1-1_all.deb
 f3bb63f3cf0299037e95050e3035eb5a46c69b3b 106494 zookeeper_3.3.3+dfsg1-1_all.deb
 049b0988e112d581c9daebcc8c4c0ca4d0519ef0 3298 zookeeperd_3.3.3+dfsg1-1_all.deb
 4d9c7eaccf43b59b13f45319b338b948336f5b33 521766 libzookeeper-java-doc_3.3.3+dfsg1-1_all.deb
 282e85776895e964d037e8dbc0bb8911a2924da6 56774 libzookeeper2_3.3.3+dfsg1-1_amd64.deb
 fb7b89af2c2e5a722ae9e832151ab9fecfde7287 61116 libzookeeper-dev_3.3.3+dfsg1-1_amd64.deb
 139d4cbf4477def62a5c5260925c204482aa2fe4 59654 zookeeper-bin_3.3.3+dfsg1-1_amd64.deb
 e14dc0552791020d7d0eee63b369f597ea8eee3e 22276 python-zookeeper_3.3.3+dfsg1-1_amd64.deb
Checksums-Sha256: 
 5acd631e98a387923a952a961a5fedb471a1c4d67772e03f334e6a0fae7f57bd 2343 zookeeper_3.3.3+dfsg1-1.dsc
 b91b3836a35f93973a41251375de10d11187f53753e9a3959722f57173a265cb 1859174 zookeeper_3.3.3+dfsg1.orig.tar.gz
 4df606013200786e826e5d5251ce09831a99412eb84078b35bf3b39753cfd977 18432 zookeeper_3.3.3+dfsg1-1.debian.tar.gz
 888cf69cde854170e1a807b815b584669e113e7006de30bc1542ae203284d1a2 1134512 libzookeeper-java_3.3.3+dfsg1-1_all.deb
 c96990bdd0cd806dfa503b642e769951499968964ecd4cfc47b3e629ed76e492 106494 zookeeper_3.3.3+dfsg1-1_all.deb
 deb2860b3dd51a4d9dbb3ae91ffda2f7b7ae0b104f4b6d621de6edbfc23a307d 3298 zookeeperd_3.3.3+dfsg1-1_all.deb
 47b40b924c6de33f37b08dad13b56bc1dea9c47973df01712e2c4dc26466cf95 521766 libzookeeper-java-doc_3.3.3+dfsg1-1_all.deb
 097e32e31d0da1806559287f6e0f2da458a6f50535040e7a6087572f2096942f 56774 libzookeeper2_3.3.3+dfsg1-1_amd64.deb
 ea4913aaf26870c28f3560c928b050c92b239ca8ea3ab649a1c692115aef0b9c 61116 libzookeeper-dev_3.3.3+dfsg1-1_amd64.deb
 6dd5feadb31f7df37f532a4f90ee2373b07e323c610c40d40bda768d48297683 59654 zookeeper-bin_3.3.3+dfsg1-1_amd64.deb
 c9a364b1f7c034dc80b20be6072ed95f0b3c2184d3e2b964bdb2f0cf1150b3f7 22276 python-zookeeper_3.3.3+dfsg1-1_amd64.deb
Files: 
 dd00941474e22c3ec2ad2eefd8fe55d0 2343 java optional zookeeper_3.3.3+dfsg1-1.dsc
 f6f3404b9575e35157b032b72fd760c0 1859174 java optional zookeeper_3.3.3+dfsg1.orig.tar.gz
 b9fb6c45bc5e60d1cdc05b046fa8a3bf 18432 java optional zookeeper_3.3.3+dfsg1-1.debian.tar.gz
 bbff69581011959d6c4b1d4a8e6e39fa 1134512 java optional libzookeeper-java_3.3.3+dfsg1-1_all.deb
 bb3bf654c4233e8b4c17bd73d7aab2e3 106494 java optional zookeeper_3.3.3+dfsg1-1_all.deb
 4dfd4f2491ebe92a5588fbf04698594c 3298 java optional zookeeperd_3.3.3+dfsg1-1_all.deb
 40d9cd91428b2929641c49bcf6d59423 521766 doc optional libzookeeper-java-doc_3.3.3+dfsg1-1_all.deb
 d57fa7492d08f4bc4177c8fa56282613 56774 libs optional libzookeeper2_3.3.3+dfsg1-1_amd64.deb
 35db2be173edc01fedf26af4a5a6df22 61116 libdevel optional libzookeeper-dev_3.3.3+dfsg1-1_amd64.deb
 1888b9bf12171367f49b0033053aacb0 59654 misc optional zookeeper-bin_3.3.3+dfsg1-1_amd64.deb
 c9b441cc897c034188c2334055e128ce 22276 python optional python-zookeeper_3.3.3+dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOHLkIAAoJEHXiDM0z50n8NQAP/3xeM5FKThg8DPRKuFKNputM
pzGk2ErPm30L0XrslWE38x4T0/vpP4sW51ofS+MW965VO9lkcPSIq83Igfz8lBC/
WXc+vJraTqxawuXOZuRnu/+mMgEULVIVrwqWHYmPH38P94YfScegzRhObV/8B2Dq
3zGzaTZfUDdqpW0XxwLQbBgbGau96LxxTfXTKPf/Nbx08Ag/9ndoCAxMdseKnHRG
cnpGPw1BzcOXQCTONmFSAmpKF6/obx0mGBjB4+/9wSd9tIed62tufbHOjt5yyhqa
7Fhz0J7nHh319ICpgm9XGVLWUsXw4YEfVwA9mNb7XhhWA+c1TDzsliZeMB3UXxVS
XbyAGj+4K8Mj/K61KPrU7CzFnOkIunsBv152Ia1fkEjPE7PZYbBl7HnMgYjZhj81
r4ql+ImmITyHc6d84DstvbaIXPWlcC/QSdV6CbtvnDDTvlSEp16mI8goo6PX0uQX
AMWPX5RE7NlXi7ixuCEp+B/9bl7ANsVRXPtIpeuTEE0dixN75MCt6kaPdp06fLph
JbmI0FAQ5ivnglDCEKDqJ4gjv5Wn2bhdPb5RbgYhz2OKpmxVnapG81vyPPR0r4Kf
Bt7juY6ElAJeccfQxb+AEkmHqucEiU3F68AU2E1rPdPoYybac7VrZdxMyZZSTdhu
aazBUDLvj2/EPZNdPmNt
=uHUP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Aug 2011 07:32:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:25:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.